> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://developers.brevo.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developers.brevo.com/_mcp/server.

# Update tier

PUT https://api.brevo.com/v3/loyalty/tier/programs/{pid}/tiers/{tid}
Content-Type: application/json

Modifies an existing tier for the specified tier group *(The changes will take effect with the next publication of the loyalty program)*

Reference: https://developers.brevo.com/reference/update-tier

## Authentication

- `api-key` header (required) — The API key should be passed in the request headers as `api-key` for authentication.

## Request

### Path parameters

- `pid` (string, required) — Loyalty Program ID
- `tid` (string, required) — Tier ID

### Body (application/json)

This endpoint expects an object.

- `accessConditions` (list of object, required)
  - `balanceDefinitionId` (string, optional) — Balance definition identifier for accessing the tier
  - `minimumValue` (integer, optional) — Minimum value required to access the tier
- `name` (string, required) — Name of the tier to be created
- `tierRewards` (list of object, required)
  - `rewardId` (string, optional) — Reward unique identifier
- `imageRef` (string, optional) — Image of the tier

## Response

### 200

Tier successfully updated

- `accessConditions` (list of object, optional) — Conditions required to access this tier
  - `balanceDefinitionId` (string, optional) — Balance definition identifier
  - `createdAt` (datetime, optional)
  - `minimumValue` (integer, optional) — Minimum value required to access this tier
  - `updatedAt` (datetime, optional)
- `createdAt` (datetime, optional)
- `groupId` (string, optional) — Associated group Id
- `imageRef` (string, optional) — Tier image reference
- `loyaltyProgramId` (string, optional) — Associated loyalty program Id
- `name` (string, optional) — Tier name
- `tierId` (string, optional) — Tier id
- `tierRewards` (list of object, optional) — Rewards associated with this tier
  - `createdAt` (datetime, optional)
  - `rewardId` (string, optional) — Reward to be attributed on tier assignment
  - `updatedAt` (datetime, optional)
- `updatedAt` (datetime, optional)

## Errors

### 401 Unauthorized Error

Request Authentication Failed

- `message` (string, required) — Readable message associated to the failure
- `code` (string, optional) — Error code displayed in case of a failure

### 403 Forbidden Error

Cannot Authenticate Request

- `message` (string, required) — Readable message associated to the failure
- `code` (string, optional) — Error code displayed in case of a failure

### 404 Not Found Error

Not Found

- `message` (string, required) — Readable message associated to the failure
- `code` (string, optional) — Error code displayed in case of a failure

### 422 Unprocessable Entity Error

Validation errors

- `message` (string, required) — Readable message associated to the failure
- `code` (string, optional) — Error code displayed in case of a failure

### 500 Internal Server Error

Internal error occurred

- `message` (string, required) — Readable message associated to the failure
- `code` (string, optional) — Error code displayed in case of a failure

## Examples

**Request**

```json
{
  "accessConditions": [
    {}
  ],
  "name": "string",
  "tierRewards": [
    {}
  ]
}
```

**Response**

```json
{
  "accessConditions": [
    {
      "balanceDefinitionId": "string",
      "createdAt": "2024-01-15T09:30:00Z",
      "minimumValue": 1,
      "updatedAt": "2024-01-15T09:30:00Z"
    }
  ],
  "createdAt": "2024-01-15T09:30:00Z",
  "groupId": "string",
  "imageRef": "string",
  "loyaltyProgramId": "string",
  "name": "string",
  "tierId": "string",
  "tierRewards": [
    {
      "createdAt": "2024-01-15T09:30:00Z",
      "rewardId": "string",
      "updatedAt": "2024-01-15T09:30:00Z"
    }
  ],
  "updatedAt": "2024-01-15T09:30:00Z"
}
```

**SDK Code**

```typescript
import { BrevoClient } from "@getbrevo/brevo";

async function main() {
    const client = new BrevoClient({
        apiKey: "YOUR_API_KEY_HERE",
    });
    await client.tier.updateTier({
        pid: "pid",
        tid: "tid",
        accessConditions: [
            {},
        ],
        name: "string",
        tierRewards: [
            {},
        ],
    });
}
main();

```

```python
from brevo import Brevo
from brevo.tier import UpdateTierRequestAccessConditionsItem, UpdateTierRequestTierRewardsItem

client = Brevo(
    api_key="YOUR_API_KEY_HERE",
)

client.tier.update_tier(
    pid="pid",
    tid="tid",
    access_conditions=[
        UpdateTierRequestAccessConditionsItem()
    ],
    name="string",
    tier_rewards=[
        UpdateTierRequestTierRewardsItem()
    ],
)

```

```php
<?php

namespace Example;

use Brevo\Brevo;
use Brevo\Tier\Requests\UpdateTierRequest;
use Brevo\Tier\Types\UpdateTierRequestAccessConditionsItem;
use Brevo\Tier\Types\UpdateTierRequestTierRewardsItem;

$client = new Brevo(
    apiKey: 'YOUR_API_KEY_HERE',
);
$client->tier->updateTier(
    'pid',
    'tid',
    new UpdateTierRequest([
        'accessConditions' => [
            new UpdateTierRequestAccessConditionsItem([]),
        ],
        'name' => 'string',
        'tierRewards' => [
            new UpdateTierRequestTierRewardsItem([]),
        ],
    ]),
);

```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.brevo.com/v3/loyalty/tier/programs/pid/tiers/tid"

	payload := strings.NewReader("{\n  \"accessConditions\": [\n    {}\n  ],\n  \"name\": \"string\",\n  \"tierRewards\": [\n    {}\n  ]\n}")

	req, _ := http.NewRequest("PUT", url, payload)

	req.Header.Add("api-key", "<apiKey>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.brevo.com/v3/loyalty/tier/programs/pid/tiers/tid")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Put.new(url)
request["api-key"] = '<apiKey>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"accessConditions\": [\n    {}\n  ],\n  \"name\": \"string\",\n  \"tierRewards\": [\n    {}\n  ]\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.put("https://api.brevo.com/v3/loyalty/tier/programs/pid/tiers/tid")
  .header("api-key", "<apiKey>")
  .header("Content-Type", "application/json")
  .body("{\n  \"accessConditions\": [\n    {}\n  ],\n  \"name\": \"string\",\n  \"tierRewards\": [\n    {}\n  ]\n}")
  .asString();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.brevo.com/v3/loyalty/tier/programs/pid/tiers/tid");
var request = new RestRequest(Method.PUT);
request.AddHeader("api-key", "<apiKey>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"accessConditions\": [\n    {}\n  ],\n  \"name\": \"string\",\n  \"tierRewards\": [\n    {}\n  ]\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "api-key": "<apiKey>",
  "Content-Type": "application/json"
]
let parameters = [
  "accessConditions": [[]],
  "name": "string",
  "tierRewards": [[]]
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.brevo.com/v3/loyalty/tier/programs/pid/tiers/tid")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "PUT"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```